#!/usr/local/bin/perl -w
# Generic HTML Utility, written by Greg Getchell for OOTP 06.
# Freeware.
# See Readme for how to use this utility
package OOTPOU::HTMLUtils;

sub printHeader {
    my ($out, $url, $title, $info, $loginHTML, $onLoad) = @_;

    $loginHTML ||= '';
    $onLoad ||= '';

    print $out <<EOF;
<html>
<head>
<title>$title</title>
<link rel="stylesheet" type="text/css" href="$url/styles.css">
</head>
<body bgcolor="#616161" style="background-image:url($url/images/bnn_bg.jpg);" $onLoad>
<table class="main" width="959" cellspacing="0" cellpadding="0" align="center" style="background-color:#FFFFFF;">
     <tr><td style="background-image:url($url/images/menu_wide.jpg); background-repeat:no-repeat;">
<table border="0" width="959" cellspacing="0" cellpadding="0">
<tr><td colspan="3"><img src="$url/images/pixel.gif" border="0" width="10" height="50"></td></tr>
<tr><td width="10"><img src="$url/images/pixel.gif" border="0" width="10" height="20"></td>
<td align="right" valign="top" class="head_2">
EOF

    print "<a href=\"$url/leagues/league_$info->{LEAGUEID}\_home.html\" class=\"menu\">$info->{LEAGUE}</a>";
    if ($info->{ISCOMMISH}) {
        print " | <a href=\"$info->{UTIL_NAME}?page=admin\" class=\"menu\">Admin</a>";
    }
    if ($info->{ASPAGE}) {
        print " | <a href=\"$info->{UTIL_NAME}?page=allstar\" class=\"menu\">Allstar</a>";
    }
    if ($info->{AWARDS}) {
        print " | <a href=\"$info->{UTIL_NAME}?page=awards\" class=\"menu\">Awards</a>";
    }
    if ($info->{DEVPAGE}) {
        print " | <a href=\"$info->{UTIL_NAME}?page=development\" class=\"menu\">Dev</a>";
    }
    if ($info->{DRAFTPAGE}) {
        print " | <a href=\"$info->{UTIL_NAME}?page=draft\" class=\"menu\">Draft</a>";
    }
    if ($info->{EXPPAGE}) {
        print " | <a href=\"$info->{UTIL_NAME}?page=export\" class=\"menu\">Exports</a>";
    }
    if ($info->{LASTSIMPAGE}) {
        print " | <a href=\"$info->{UTIL_NAME}?page=lsRes\" class=\"menu\">Last Sim</a>";
    }
    if ($info->{MANAGERPAGE}) {
        print " | <a href=\"$info->{UTIL_NAME}?page=managers\" class=\"menu\">Managers</a>";
    }
    if ($info->{USERNAME}) {
        print " | <a href=\"$info->{UTIL_NAME}?page=profile\" class=\"menu\">Profile</a>";
    }
    if ($info->{RATPAGE}) {
        print " | <a href=\"$info->{UTIL_NAME}?page=ratings\" class=\"menu\">Ratings</a>";
    }
    print "&nbsp;</td></tr></table></td></tr>\n";

print $out <<EOF2
<tr><td style="padding-top:6px;padding-left:12px;padding-bottom:12px;padding-right:12px;">
    <table cellspacing="0" cellpadding="0" width="100%" style="margin-bottom:12px;">
<tr><td align="left" valign="middle" style="padding:4px;background-color:#15203E;"><span style="color:#FFFFFF;font-size:18px;font-weight:bold;">$info->{LEAGUENAME}</span><br><span style="color:#FFFFFF;font-size:22px;font-weight:bold;">$title</span></td>$loginHTML<td align="right" style="padding:4px;background-color:#15203E;"> </td></tr></table>  <table cellspacing="0" cellpadding="0" class="lpo" width="935"><tr><td colspan="2" style="padding-top:12px;padding-bottom:0px;padding-left:12px;padding-right:12px;"> <table cellspacing="0" cellpadding="1" class="lpo" width="100%" style="margin-bottom:12px;"><tr><td class="h1_l" colspan="8">  </td></tr>
EOF2
}


sub printTail {
    my ($out, $url) = @_;

print $out <<EOF
</td></tr></table></td></tr></table><tr> <td background="$url/images/bg_bottom.jpg"><a href="http://www.sigames.com/"><img src="$url/images/bnn_logo_bottom.jpg" border="0" width="220" height="28"></a></td> </tr></table> <table width="800" cellspacing="0" cellpadding="0" align="center"><tr><td align="center"><br><font color="#FFFFFF">OOTP 9 Online Utilities - Version 3.0.0</font></td></tr><tr><td align="center" style="color:#FFFFFF;"><br></td></tr></table> </body></html>
EOF
}

sub printLeagueChooser {
    my ($leaguePtr, $leagueid) = @_;

    my %leagues = %{$leaguePtr};
    my @keys;
    my $league;

    print '<tr><td colspan="2">Choose a League: <select name="leagueChooser">';
    @keys = sort {$leagues{$a}->{NAME} cmp $leagues{$b}->{NAME}} (keys %leagues);
    foreach $league (@keys) {
        if ($league) {
            print "<option value=\"$league\"";
            if ($leagueid == $league) {
                print ' selected';
            }
            print ">$leagues{$league}->{NAME} ($leagues{$league}->{ABBREV})</option>\n";
        }
    }
    print '</select>&nbsp;<input type="submit" name="changeLeague" value="Go"/></td></tr>';
}

sub printOrderScripts {
    my ($out) = @_;
print $out <<EOF
<script type="text/javascript">
<!--

function moveUp(element) {
    for(i = 0; i < element.options.length; i++) {
        if(element.options[i].selected == true) {
            if(i != 0) {
                var temp = new Option(element.options[i-1].text,element.options[i-1].value);
                var temp2 = new Option(element.options[i].text,element.options[i].value);
                element.options[i-1] = temp2;
                element.options[i-1].selected = true;
                element.options[i] = temp;
            }
        }
    }
}
function moveDown(element) {
    for(i = (element.options.length - 1); i >= 0; i--) {
        if(element.options[i].selected == true) {
            if(i != (element.options.length - 1)) {
                var temp = new Option(element.options[i+1].text,element.options[i+1].value);
                var temp2 = new Option(element.options[i].text,element.options[i].value);
                element.options[i+1] = temp2;
                element.options[i+1].selected = true;
                element.options[i] = temp;
            }
        }
    }
}
function swap(list) {
    var j = 0;
    for(i = 0; i < list.options.length; i++) {
        if(list.options[i].selected == true) {
            j++;
            switch (j) {
                case 1:
                var i1 = i;
                var temp = new Option(list.options[i].text, list.options[i].value);
                break;
                case 2:
                var i2 = i;
                var temp2 = new Option(list.options[i].text, list.options[i].value);
                break;
            }
        }
    }
    if (j == 2) {
        list.options[i1] = temp2;
        list.options[i1].selected = true;
        list.options[i2] = temp;
        list.options[i2].selected = true;
    }
}

function addToList(list) {
    var len = list.options.length;
    if (len == 1 && list.options[0].value == '0') {
        list.options[0] = null;
        len = 0;
    }
    var found = false;
    var val = '';
    var name = '';
    var j = 0;
    for (var i =0; i < document.forms[0].player.length; i++) {
        if (document.forms[0].player[i].checked) {
            found = false;
            val = document.forms[0].player[i].value;
            j = val.indexOf(',');
            name = val.substr(j+1);
            val = val.substr(0, j);
            for (j = 0; j < list.options.length; j++) {
                if (list.options[j].value == val) {
                    found = true;
                    break;
                }
            }
            if (!found) {
                list.options[len] = new Option(name, val);
                len++;
            }
        }
    }
}

function view(list, url) {
    for (var i = 0; i < list.options.length; i++) {
        if(list.options[i].selected == true) {
            window.open(url+list.options[i].value+".html", "draftWindow");
            break;
        }
    }
}


function remove(list) {
    for (var i = 0; i < list.options.length; i++) {
        if(list.options[i].selected == true) {
            list.options[i] = null;
            i--;
        }
    }
}

function moveList(fromElem, toElem) {
    toElem.value = '';
    for (var i=0; i<fromElem.options.length; i++) {
        if (toElem.value == '') {
            toElem.value =  fromElem.options[i].value;
        }
        else {
            toElem.value = toElem.value + 'x' + fromElem.options[i].value;
        }
    }
    return true;
}

function pickPlayer() {
    var id = '';
    var j = 0;
    for (var i =0; i < document.forms[0].player.length; i++) {
        if (document.forms[0].player[i].checked) {
            if (id != '') {
                alert ('You can only pick one player!');
                return;
            }
            id = document.forms[0].player[i].value;
            j  = id.indexOf(',');
            id = id.substr(0, j);
        }
    }
    if (id == '') {
        alert ('Select a player first');
        return;
    }
    document.forms[0].pick.value = id;
    moveList(document.getElementById('draftList'), document.getElementById('dList'));
    document.forms[0].submit();
}

//-->
</script>
EOF
}

1
